Update the scheduled publish date and metadata for already-scheduled content.
curl --request PUT \
--url https://api.parallellabs.app/api/v0/content/{contentId}/schedule \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"scheduleDateTime": "<string>",
"imageId": "<string>",
"publishAccount": {},
"publishAsDraft": true
}
'import requests
url = "https://api.parallellabs.app/api/v0/content/{contentId}/schedule"
payload = {
"companyId": "<string>",
"scheduleDateTime": "<string>",
"imageId": "<string>",
"publishAccount": {},
"publishAsDraft": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
scheduleDateTime: '<string>',
imageId: '<string>',
publishAccount: {},
publishAsDraft: true
})
};
fetch('https://api.parallellabs.app/api/v0/content/{contentId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": {
"created": 123,
"funnelStage": "<string>",
"hookOptions": [
"<string>"
],
"id": "<string>",
"publishDate": "<string>",
"selectedHook": "<string>",
"status": "<string>",
"title": "<string>",
"topicSummary": "<string>",
"type": "<string>",
"variants": {}
},
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Content
Update the scheduled publish date and metadata for already-scheduled content.
PUT
/
api
/
v0
/
content
/
{contentId}
/
schedule
Update the scheduled publish date and metadata for already-scheduled content.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Body
application/json
Schedule update data
Request body for updating scheduled publish date
Publish content to a connected account.Selects a hook from ideated content and generates full content.
⌘I

